<?php

/**
 * @version     $Id: umrmanagement.php 51 2010-11-22 01:33:21Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelform library
jimport('joomla.application.component.modeladmin');

/**
 * UmrManagement Model
 */
class UmrManagementModelAttendance extends JModelAdmin
{

    /**
         * Returns a reference to the a Table object, always creating it.
         *
         * @param       type    The table type to instantiate
         * @param       string  A prefix for the table class name. Optional.
         * @param       array   Configuration array for model. Optional.
         * @return      JTable  A database object
         * @since       2.5
         */
    public function getTable($type = 'Attendance', $prefix = 'UmrManagementTable', $config = array())
    {
        return JTable::getInstance($type, $prefix, $config);
    }

    /**
     * Method to get the record form.
     *
     * @param   array   $data       Data for the form.
     * @param   boolean $loadData   True if the form is to load its own data (default case), false if not.
     * @return  mixed   A JForm object on success, false on failure
     * @since   1.6
     */
    public function getForm($data = array(), $loadData = true)
    {
        // Get the form.
        $form = $this->loadForm('com_umrmanagement.attendance', 'attendance', array('control' => 'jform', 'load_data' => true));
        if (empty($form))
        {
            return false;
        }
        return $form;
    }

    //~ /**
     //~ * Get the message
     //~ * @return object The message to be displayed to the user
     //~ */
    //~ function &getItem()
    //~ {
        //~ if (!isset($this->_item))
        //~ {
            //~ $cache = JFactory::getCache('com_umrmanagement', '');
            //~ $id = $this->getState('attendance.idmvt');
            //~ $this->_item =  $cache->get($id);
            //~ if ($this->_item === false) {
//~
            //~ }
        //~ }
        //~ return $this->_item;
    //~ }


    /**
     * Method to get the data that should be injected in the form.
     *
     * @return  mixed   The data for the form.
     * @since   1.6
     */
    protected function loadFormData()
    {
        // Check the session for previously entered form data.
        $mainframe = JFactory::getApplication();
        $data = $mainframe->getUserState('com_umrmanagement.edit.attendance.data', array());
        if (empty($data))
        {
            $data = $this->getItem();
        }
        // Transmission du champ id au formulaire pour les nouveaux enregistrements
        if(!is_numeric($data->get('id'))) {
            $data->set('id',$mainframe->getUserState('com_umrmanagement.attendances.id_membre',-1));
        }
        return $data;
    }
}
