<?php

/**
 * @version     $Id: umrmanagements.php 46 2010-11-21 17:27:33Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.modellist');
require_once('../components/com_umrmanagement/models/umrtools.php');
/**
 * UmrManagements Model
 */
class UmrManagementModelAttendances extends JModelList
{
    /**
     * Tool box for libelle and etc.
     */
    public $umrTools;

    function __construct($config = array())
    {
        parent::__construct($config);
        $this->umrTools = new UmrManagementModelUmrTools();
    }


    /**
     * Method to build an SQL query to load the list data.
     *
     * @return  string  An SQL query
     */
    protected function getListQuery()
    {
        // Create a new query object.
        $db = JFactory::getDBO();
        $query = $db->getQuery(true);

        $mainframe =& JFactory::getApplication();

        // retrieve the value of the state variable. First see if the variable has been passed
        // in the request. Otherwise retrieve the stored value. If none of these are specified,
        // the specified default value will be returned
        // function syntax is getUserStateFromRequest( $key, $request, $default );
        $id = $mainframe->getUserStateFromRequest( 'com_umrmanagement.attendances.id_membre', 'id');

        $query->select($db->quotename(array('idmvt','etablissement','categorie','grade','staff_in','staff_out','DepartInconnu')));
        $query->from('#__umrmanagement_mouvement');
        $query->where($db->quotename('id') . ' = ' . $id);
        $query->order($db->quotename('staff_in'));

        return $query;
    }

    /**
     * Gets the list of users and adds expensive joins to the result set.
     *
     * @return  mixed  An array of data items on success, false on failure.
     *
     * @since   1.6
     */
    public function getItems()
    {
        $items = parent::getItems();

        // Bail out on an error or empty list.
        if (empty($items))
        {
            return $items;
        }
        // Add Label to key fields
        foreach ($items as $item)
        {
            $item->lib_etablissement = $this->umrTools->getLibelle('etablissement',$item->etablissement);
            $item->lib_categorie = $this->umrTools->getLibelle('Categorie',$item->categorie);
            $item->lib_grade = $this->umrTools->getLibelle('Grade',$item->grade,$item->categorie);
        }
        return $items;
    }

}
