<?php

/**
 * @version     $Id: umrmanagements.php 46 2010-11-21 17:27:33Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.modellist');

/**
 * UmrManagements Model
 */
class UmrManagementModelUmrManagements extends JModelList
{

    /**
     * Add Ordering capacity to the model
     * @author David Dorchies
     * @date 05/05/2014
     * @see http://docs.joomla.org/Adding_sortable_columns_to_a_table_in_a_component
     */
    public function __construct($config = array())
    {
        $config['filter_fields'] = array(
            'name',
            'published',
            'id'
        );
        parent::__construct($config);
    }

    /**
     * Method to build an SQL query to load the list data.
     *
     * @return  string  An SQL query
     */
    protected function getListQuery()
    {
        // Create a new query object.
        $db = JFactory::getDBO();

        // Update publish status
        $query = $db->getQuery(true);
        // http://docs.joomla.org/Inserting,_Updating_and_Removing_data_using_JDatabase
        $query->update($db->quotename('#__umrmanagement'))->set($db->quotename('published').' = 0');
        $db->setQuery($query);
        $result = $db->query();
        $query = $db->getQuery(true);
        $query->update(array(
                $db->quotename('#__umrmanagement','u'),
                $db->quotename('#__umrmanagement_mouvement','m')))
            ->set($db->quotename('published').' = 1')
            ->where($db->quoteName('u.id') . ' = ' . $db->quoteName('m.id') .
                ' AND DATEDIFF(' . $db->quoteName('m.staff_in') . ',CURDATE())<=0'.
                ' AND (' .
                    $db->quoteName('m.DepartInconnu') .' = 1'.
                    ' OR DATEDIFF(CURDATE(), ' . $db->quoteName('m.staff_out') . ') <= 0)');
        $db->setQuery($query);
        $result = $db->query();

        // Create a new query object.
        $query = $db->getQuery(true);

        // Select some fields
        $query->select('id,name,published');

        // From the hello table
        $query->from('#__umrmanagement');

        // Add the list ordering clause.
        $query->order($db->escape($this->getState('list.ordering', 'name')).' '.$db->escape($this->getState('list.direction', 'ASC')));

        return $query;
    }
}
