<?php

/**
 * @version     $Id: view.html.php 51 2010-11-22 01:33:21Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');

require_once('../components/com_umrmanagement/models/umrtools.php');

/**
 * UmrManagement View
 */
class UmrManagementViewAttendance extends JView
{
    /**
     * View form
     *
     * @var     form
     */
    protected $form = null;

    public $umrTools;

    /**
     * display method of Hello view
     * @return void
     */
    public function display($tpl = null)
    {
        // get the Data
        $form = $this->get('Form');
        $item = $this->get('Item');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }
        // Assign the Data
        $this->form = $form;
        $this->item = $item;

        // Add tools
        $this->umrTools = new UmrManagementModelUmrTools();

        // Set the toolbar
        $this->addToolBar();

        // Display the template
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JRequest::setVar('hidemainmenu', true);
        $isNew = ($this->item->idmvt == 0);
        JToolBarHelper::title(JText::_('COM_UMRMANAGEMENT_ATTENDANCE_EDITING').' '.$this->umrTools->getMemberName(), 'attendance');
        JToolBarHelper::apply('attendance.apply');
        JToolBarHelper::save('attendance.save');
        JToolBarHelper::cancel('attendance.cancel', $isNew ? 'JTOOLBAR_CANCEL' : 'JTOOLBAR_CLOSE');
    }
    /**
     * Method to set up the document properties
     *
     * @return void
     */
    protected function setDocument()
    {
        $isNew = ($this->item->idmvt < 1);
        $document = JFactory::getDocument();
        $document->setTitle(JText::_('COM_UMRMANAGEMENT_ATTENDANCE_EDITING').' '.$this->umrTools->getMemberName());
    }
}
