<?php

/**
 * @version     $Id: view.html.php 51 2010-11-22 01:33:21Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');
require_once('../components/com_umrmanagement/models/umrtools.php');

/**
 * UmrManagements View
 */
class UmrManagementViewAttendances extends JView
{
    /**
     * Tool box for libelle and etc.
     */
    public $umrTools;


    /**
     * UmrManagements view display method
     * @return void
     */
    function display($tpl = null)
    {
        // Get data from the model
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $state = $this->get('State');

        $this->sortDirection = $state->get('list.direction');
        $this->sortColumn = $state->get('list.ordering');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        // Include the component HTML helpers.
        JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');

        // Add tools
        $this->umrTools = new UmrManagementModelUmrTools();

        // Set the toolbar
        $this->addToolBar();

        // Display the template
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JToolBarHelper::title(JText::_('COM_UMRMANAGEMENT_ATTENDANCES_TITLE').' - '.
        $this->umrTools->getMemberName());
        JToolBarHelper::deleteListX('', 'attendances.delete');
        JToolBarHelper::editListX('attendance.edit');
        JToolBarHelper::addNewX('attendance.add');
    }
    /**
     * Method to set up the document properties
     *
     * @return void
     */
    protected function setDocument()
    {
        $document = JFactory::getDocument();
        $document->setTitle(JText::_('COM_UMRMANAGEMENT').' - '.JText::_('COM_UMRMANAGEMENT_ATTENDANCES_TITLE').' - '.$this->umrTools->getMemberName());
    }
}
