<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelitem library
jimport('joomla.application.component.modellist');

/**
 * Model for displaying complete list of current staff in frontend
 * @author David Dorchies
 * @date 30/04/2014
 */
class UmrManagementModelUmrManagement extends JModelList
{
    /**
     * Method to build an SQL query to load the list data.
     *
     * @return      string  An SQL query
     */
    protected function getListQuery()
    {
            // Create a new query object.
            $db = JFactory::getDBO();
            $query = $db->getQuery(true);
            // Select some fields
            $query->select($db->quoteName('m.idmvt','idmvt'));
            $query->select($db->quoteName('u.name','name'));
            $query->select($db->quoteName('u.email','email'));
            $query->select($db->quoteName('l.libelle_court','etablissement'));
            // From the hello table
            $query->from($db->quoteName('#__umrmanagement', 'u'));
            $query->join('INNER',$db->quoteName('#__umrmanagement_mouvement','m') . ' ON (' . $db->quoteName('u.id') . ' = ' . $db->quoteName('m.id') . ')');
            $query->join('INNER',$db->quoteName('#__umrmanagement_libelle','l') . ' ON (' . $db->quoteName('m.etablissement') . ' = ' . $db->quoteName('l.id') . ' AND ' . $db->quoteName('l.variable') . ' = ' . $db->quote('Etablissement') . ')');
            $query->where('DATEDIFF(' . $db->quoteName('m.staff_in') . ',CURDATE())<=0 AND (' . $db->quoteName('m.DepartInconnu') .' = 1 OR DATEDIFF(CURDATE(), ' . $db->quoteName('m.staff_out') . ') <= 0)');
            $query->order($db->quoteName('u.name'));
            return $query;
    }

    /**
     * Method for displaying all records without pagination
     * @author David Dorchies
     * @date 29/04/2014
     */
    protected function populateState()
    {
        $this->setState('list.limit', 0);
    }
}
?>
