<?php

/**
 * @version     $Id: umrmanagements.php 46 2010-11-21 17:27:33Z chdemko $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import the Joomla modellist library
jimport('joomla.application.component.model');
/**
 * UmrTools Model : miscelaneous tools for Umr Management component
 */
class UmrManagementModelUmrTools extends JModel
{
    /**
     * Affiche le libellé d'un champ à partir de la table umrmanagement_libelle
     * @author David Dorchies
     * @date 11/05/2014
     */
    public function getLibelleMain($champ,$id,$cat=0)
    {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select($db->quotename(array('libelle_court','libelle_long')));
        $query->from($db->quotename('#__umrmanagement_libelle','l'));
        $query->where($db->quotename('variable').' LIKE '.$db->quote($champ));
        $query->where($db->quotename('id').' = '.$id);
        $query->where($db->quotename('categorie').' = '.$cat);
        $db->setQuery($query);
        $result = $db->loadRow();
        return $result;
    }


    public function getLibelleCourt($champ,$id,$cat=0)
    {
        $tLib = $this->getLibelleMain($champ,$id,$cat=0);
        return $tLib[0];
    }


    public function getLibelleLong($champ,$id,$cat=0)
    {
        $tLib = $this->getLibelleMain($champ,$id,$cat=0);
        return $tLib[1];
    }

    public function getLibelle($champ,$id,$cat=0)
    {
        $tLib = $this->getLibelleMain($champ,$id,$cat);
        $s = $tLib[0];
        if($tLib[0]!='' && $tLib[0]!='') {$s .= ' - ';}
        $s .= $tLib[1];
        return $s;
    }


    public function getMemberName()
    {
        $mainframe =& JFactory::getApplication();
        // retrieve the value of the state variable. First see if the variable has been passed
        // in the request. Otherwise retrieve the stored value. If none of these are specified,
        // the specified default value will be returned
        // function syntax is getUserStateFromRequest( $key, $request, $default );
        $id = $mainframe->getUserStateFromRequest( 'com_umrmanagement.attendances.id_membre', 'id');

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);
        $query->select($db->quotename('name'));
        $query->from($db->quotename('#__umrmanagement'));
        $query->where($db->quotename('id').' = '.$id);
        $db->setQuery($query);
        $result = $db->loadResult();
        return $result;
    }

}
